//
// barrier.h
//
// barriers in the game
//
//
// Author: Tomi Belan <tomi.belan@gmail.com>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//

#ifndef _barrier_h_
#define _barrier_h_

#include "gameobject.h"

class Barrier : public GameObject {
private:
  GameHandler *handler;
  int type;
  
public:
  SDL_Rect rect;
  SDL_Surface *image;
  
  Barrier(GameHandler *, int type);
  ~Barrier();
  
  void relocate();
  
  void update(SDL_Surface *where);
};

#endif
